## robocode
Class Event

    java.lang.Object
      robocode.Event

All Implemented Interfaces:
  Comparable<Event>

Direct Known Subclasses:
  BulletHitBulletEvent, BulletHitEvent, BulletMissedEvent, CustomEvent, DeathEvent, HitByBulletEvent, HitRobotEvent, HitWallEvent, MessageEvent, RobotDeathEvent, ScannedRobotEvent, SkippedTurnEvent, StatusEvent, WinEvent

    public class Event

extends Object
implements Comparable<Event>

The superclass of all Robocode events.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)

Constructor Summary
`Event()` Called by the game to create a new Event.

Method Summary
`int` `compareTo(Event event)` Compares this event to another event regarding precedence.
`int` `getPriority()` Returns the priority of this event.
`long` `getTime()` Returns the time this event occurred.
`void` `setPriority(int newPriority)` Called by the game to set the priority of an event to the priority your robot specified for this type of event (or the default priority).
`void` `setTime(long newTime)` Called by the game to set the time this event occurred.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Event

    public Event()

  Called by the game to create a new Event.

Method Detail

### compareTo

    public int compareTo(Event event)

  Compares this event to another event regarding precedence. The event precedence is first and foremost determined by the event time, secondly the event priority, and lastly specific event information.

  This method will first compare the time of each event. If the event time is the same for both events, then this method compared the priority of each event. If the event priorities are equals, then this method will compare the two event based on specific event information.

  This method is called by the game in order to sort the event queue of a robot to make sure the events are listed in chronological order.

  Specified by:
    `compareTo` in interface `Comparable<Event>`
  Parameters:
    `event` - the event to compare to this event.
  Returns:
    a negative value if this event has higher precedence, i.e. must be listed before the specified event. A positive value if this event has a lower precedence, i.e. must be listed after the specified event. 0 means that the precedence of the two events are equal.

### getPriority

    public int getPriority()

  Returns the priority of this event. An event priority is a value from 0 - 99. The higher value, the higher priority. The default priority is 80.

  Returns:
    the priority of this event

### getTime

    public long getTime()

  Returns the time this event occurred.

  Returns:
    the time this event occurred

### setPriority

    public void setPriority(int newPriority)

  Called by the game to set the priority of an event to the priority your robot specified for this type of event (or the default priority).

  An event priority is a value from 0 - 99. The higher value, the higher priority. The default priority is 80.

  Parameters:
    `newPriority` - the new priority of this event
  See Also:
    `AdvancedRobot.setEventPriority(String, int)`

### setTime

    public void setTime(long newTime)

  Called by the game to set the time this event occurred.

  Parameters:
    `newTime` - the time this event occurred